document.getElementById('decisionForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  // Get input values
  const phdYears = parseFloat(document.getElementById('phdYears').value);
  const phdStipend = parseFloat(document.getElementById('phdStipend').value);
  const ofEarnings = parseFloat(document.getElementById('ofEarnings').value);
  const happiness = parseFloat(document.getElementById('happiness').value);
  
  // Calculate totals
  const totalPhd = phdYears * 12 * phdStipend;
  const totalOf = phdYears * 12 * ofEarnings;
  
  // Calculate happiness factor
  const happinessFactor = happiness >= 7 ? 1.5 : 1;
  
  // Make decision
  let decision;
  if (totalOf * happinessFactor > totalPhd) {
    decision = 'Go for OnlyFans!';
  } else {
    decision = 'Stick with the PhD';
  }
  
  // Display results
  document.getElementById('totalPhd').textContent = `$${totalPhd.toLocaleString()}`;
  document.getElementById('totalOf').textContent = `$${totalOf.toLocaleString()}`;
  document.getElementById('happinessFactor').textContent = happinessFactor;
  document.getElementById('decision').textContent = decision;
  
  document.getElementById('result').classList.remove('hidden');
});